Skip to main content
POST
/
v1
/
paper
/
strategies
Create Strategy
curl --request POST \
  --url https://api.polyquantlab.com/v1/paper/strategies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "strategy_spec": {},
  "name": "<string>",
  "ticker": "BTC",
  "event_type": "5m",
  "size_usd": 10,
  "baseline_backtest_id": "<string>"
}
'
{
  "paper_strategy_id": "ps_4821a0e0",
  "active": true,
  "created_at": "2026-06-06T03:54:11+00:00"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
strategy_spec
Strategy Spec · object
required
name
string | null
Maximum string length: 128
ticker
string | null
Example:

"BTC"

event_type
string | null
Example:

"5m"

size_usd
number
default:10
Required range: 1 <= x <= 10000
baseline_backtest_id
string | null
Maximum string length: 64

Response

Successful Response

paper_strategy_id
string
required
active
boolean
required
created_at
string<date-time>
required